%%
%% $Id: ebnf.tex,v 1.3 2002-01-31 13:32:19 mbaur Exp $
%%
%% This file supplies an EBNF figure for the JNuke pretty printer 
%% documentation. Once this file is \include'd, it is available as 
%% \EBNFfigure.
%%

\newcommand{\EBNFfigure}{
    \begin{figure}[ht!]
    \begin{center}
    
    \footnotesize
    \framebox{
    \begin{tabular}{rcl}
    $<$initial$>$   & = & \texttt{"("} $<$type$>$ \{ $<$args$>$ \} \texttt{")"}. \\
    $<$type$>$      & = & [A-Za-z0-9]. \\
    $<$args$>$      & = & \{ $<$arg$>$ \}. \\
    $<$arg$>$       & = & $<$initial$>$ $|$ $<$string$>$ $|$ $<$number$>$. \\
    $<$string$>$    & = & \texttt{'"'} \{ character \} \texttt{'"'}. \\
    $<$character$>$ & = & [A-Za-z0-9] $|$ \texttt{'$\setminus$"'}. \\
    $<$number$>$    & = & $<$int$>$ $|$ $<$hex$>$ $|$ $<$float$>$. \\
    $<$int$>$       & = & \{ [0-9]\{0-9\} \}. \\
    $<$hex$>$       & = & \texttt{"0x"} $<$int$>$. \\
    $<$float$>$     & = & $<$int$>$ \texttt{"."} $<$int$>$.
    \end{tabular}
    }
    \normalsize
    \label{ebnf}
    \caption{Recognized parser syntax (EBNF)}
    \end{center}
    \end{figure}
}
